:root {
    --red: #e26969;
    --orange: #e9aa6f;
    --yellow: #e4cf72;
    --green: #a1e7ac;
    --blue: #83a4e2;
    --purple: #cc9cee;

    --dark-red: #854444;
    --dark-orange: #99683b;
    --dark-yellow: #968951;
    --dark-green: #55805c;
    --dark-blue: #3d547e;
    --dark-purple: #805d91;

    --offwhite: #e0e0e0;
    --offblack: #191919;

    --font-small: 20px;
    --font-medium: 24px;
    --font-large: 32px;
}

@media screen and (max-width: 600px) {
    :root {
        --font-small: 12px;
        --font-medium: 14px;
        --font-large: 18px;
    }
}


/* HTML style reset */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

/* Page style */
html {
    background-color: black;
    min-width: 300px;
    scroll-behavior: smooth;
}

body {
    background-color: var(--offblack);
    font-family: 'Lato', Verdana, sans-serif;
    font-size: var(--font-small);
    display: flex;
    flex-flow: column nowrap;
    gap: 2em;
}

/* Header style */
header {
    position: relative;
    height: 20vh;
    background-image: url("/Application/Resources/Images/quetz.png");
    background-attachment: scroll;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 30% center;
}

header.homepage-header {
    height: 100vh;
}

header #header-title {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    padding: 1.3em;
    background-color: rgba(0, 0, 0, 0.75);
}

header #header-title h1 {
    text-align: center;
    font-size: 2em;
    text-transform: uppercase;
    color: white;
}

/* Navbar style */
nav {
    background-color: black;
    overflow: hidden;
    position: fixed;
    z-index: 1000;
    top: 0;
    width: 100%;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: stretch;
}

nav #nav-buttons {
    display: block;
}

nav #user-buttons {
    display: flex;
    flex-flow: row-reverse nowrap;
    align-items: center;
    padding: 0 0.3em;
}

nav a.nav-button {
    display: inline-block;
    font-size: var(--font-medium);
    color: var(--blue);
    text-align: center;
    padding: 0.4em 0.6em;
    text-decoration: none;
}

nav a.nav-button:hover {
    background-color: var(--dark-blue);
    color: white;
}

nav div#user-buttons button {
    display: inline-block;
    color: black;
    background-color: var(--yellow);
    text-align: center;
    padding: 0.2em 0.3em;
    font-size: var(--font-small);
    border: none;
}

nav div#user-buttons button:hover {
    color: black;
    background-color: var(--offwhite);
}

/* Footer style */
footer {
    text-align: center;
    background-color: black;
    color: #999999;
    font-size: var(--font-small);
    padding: 2em;
}

/* Add Zoom Animation */
.animate {
    -webkit-animation: animatezoom 0.6s;
    animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom {
    from {
        -webkit-transform: scale(0)
    }

    to {
        -webkit-transform: scale(1)
    }
}

@keyframes animatezoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* Misc classes */
section {
    padding: 0 2em;
}

.text-block {
    box-sizing: border-box;
    display: flex;
    flex-flow: column nowrap;
    gap: 1em;
}

.text-block h2 {
    font-size: var(--font-large);
    color: var(--red);
}

.text-block p {
    font-size: var(--font-small);
    color: var(--offwhite);
}

.restrict-width {
    max-width: 1200px;
    margin: 0 auto;
}

.drop-shadow {
    -webkit-box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.4), 0 0 20px 0 rgba(0, 0, 0, 0.25);
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.4), 0 0 20px 0 rgba(0, 0, 0, 0.25);
}